Debian Bug report logs - #169935
libdb4.0: db4.0 must have prio:standard because perl (with this prio) depends on it

version graph

Package: libdb4.0; Maintainer for libdb4.0 is (unknown);

Reported by: Christian Hammers <ch@debian.org>

Date: Wed, 20 Nov 2002 21:48:02 UTC

Severity: serious

Tags: patch

Found in version 4.0.14-1

Done: Christian Hammers <ch@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Matthew Wilcox <willy@debian.org>, db4.0@packages.qa.debian.org:
Bug#169935; Package libdb4.0. Full text and rfc822 format available.

Acknowledgement sent to Christian Hammers <ch@debian.org>:
New Bug report received and forwarded. Copy sent to Matthew Wilcox <willy@debian.org>, db4.0@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Hammers <ch@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libdb4.0: db4.0 must have prio:standard because perl (with this prio) depends on it
Date: Wed, 20 Nov 2002 22:35:13 +0100
Package: libdb4.0
Version: 4.0.14-1
Severity: serious
Tags: patch
Justification: Policy 2.2

Hello

[quoting http://lists.debian.org/debian-perl/2002/debian-perl-200211/msg00001.html]

If I understand 
	http://qa.debian.org/debcheck.php?dist=unstable&package=perl
correctly, bug #164774 is the only one that keeps perl out of testing:
> Dependencies on libdb4.0 are causing packages like perl, python2.1,
> and vacation to violate policy due to priorities. It is either necessary
> to move all these packages to optional or move libdb4.0 to standard.

Matthew had problems building it and Ben closed the bug report after
fixing the problem. 
But nobody actually uploaded a db4.0 version with a correct dependency!

bye,

-christian-


-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux app109 2.4.18-app109-4-imq #1 Sam Jul 27 13:14:33 CEST 2002 i686
Locale: LANG=C, LC_CTYPE=C (ignored: LC_ALL set)

Versions of packages libdb4.0 depends on:
ii  libc6                         2.3.1-5    GNU C Library: Shared libraries an

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Wilcox <willy@debian.org>, db4.0@packages.qa.debian.org:
Bug#169935; Package libdb4.0. Full text and rfc822 format available.

Acknowledgement sent to Drew Scott Daniels <umdanie8@cc.UManitoba.CA>:
Extra info received and forwarded to list. Copy sent to Matthew Wilcox <willy@debian.org>, db4.0@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 169935@bugs.debian.org (full text, mbox):

From: Drew Scott Daniels <umdanie8@cc.UManitoba.CA>
To: 169935@bugs.debian.org
Cc: debian-perl@lists.debian.org
Subject: NMU of libdb4.0 for prio:standard
Date: Mon, 14 Apr 2003 13:34:39 -0500 (CDT)
Is it time for an NMU on this bug, is
http://qa.debian.org/debcheck.php?dist=unstable&package=perl wrong, or is
there a bug with libperl5.8, perl-base, perl-modules, perl-doc, perl-suid,
libperl-dev, and/or libcgi-fast-perl (all aka src:perl?)?

I don't mean to imply a false dichotomy, but I think an NMU may be called
for as this bug is more than four months old and it's an RC bug.

     Drew Daniels




Information forwarded to debian-bugs-dist@lists.debian.org, db4.0@packages.qa.debian.org:
Bug#169935; Package libdb4.0. Full text and rfc822 format available.

Acknowledgement sent to Matthew Wilcox <willy@debian.org>:
Extra info received and forwarded to list. Copy sent to db4.0@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 169935@bugs.debian.org (full text, mbox):

From: Matthew Wilcox <willy@debian.org>
To: Drew Scott Daniels <umdanie8@cc.UManitoba.CA>, 169935@bugs.debian.org
Cc: debian-perl@lists.debian.org
Subject: Re: Bug#169935: NMU of libdb4.0 for prio:standard
Date: Mon, 14 Apr 2003 20:02:12 +0100
On Mon, Apr 14, 2003 at 01:34:39PM -0500, Drew Scott Daniels wrote:
> Is it time for an NMU on this bug, is
> http://qa.debian.org/debcheck.php?dist=unstable&package=perl wrong, or is
> there a bug with libperl5.8, perl-base, perl-modules, perl-doc, perl-suid,
> libperl-dev, and/or libcgi-fast-perl (all aka src:perl?)?
> 
> I don't mean to imply a false dichotomy, but I think an NMU may be called
> for as this bug is more than four months old and it's an RC bug.

no.

-- 
"It's not Hollywood.  War is real, war is primarily not about defeat or
victory, it is about death.  I've seen thousands and thousands of dead bodies.
Do you think I want to have an academic debate on this subject?" -- Robert Fisk



Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Wilcox <willy@debian.org>, db4.0@packages.qa.debian.org:
Bug#169935; Package libdb4.0. Full text and rfc822 format available.

Acknowledgement sent to Drew Scott Daniels <umdanie8@cc.UManitoba.CA>:
Extra info received and forwarded to list. Copy sent to Matthew Wilcox <willy@debian.org>, db4.0@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 169935@bugs.debian.org (full text, mbox):

From: Drew Scott Daniels <umdanie8@cc.UManitoba.CA>
To: Matthew Wilcox <willy@debian.org>
Cc: 169935@bugs.debian.org, <debian-perl@lists.debian.org>
Subject: Re: Bug#169935: NMU of libdb4.0 for prio:standard
Date: Mon, 14 Apr 2003 14:07:25 -0500 (CDT)
On Mon, 14 Apr 2003, Matthew Wilcox wrote:

> On Mon, Apr 14, 2003 at 01:34:39PM -0500, Drew Scott Daniels wrote:
> > Is it time for an NMU on this bug, is
> > http://qa.debian.org/debcheck.php?dist=unstable&package=perl wrong, or is
> > there a bug with libperl5.8, perl-base, perl-modules, perl-doc, perl-suid,
> > libperl-dev, and/or libcgi-fast-perl (all aka src:perl?)?
> >
> > I don't mean to imply a false dichotomy, but I think an NMU may be called
> > for as this bug is more than four months old and it's an RC bug.
>
> no.
>
Pending? Not a bug? A bug in something else? Other things to consider?
Thanks for your prompt reply.

     Drew Daniels




Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Wilcox <willy@debian.org>, db4.0@packages.qa.debian.org:
Bug#169935; Package libdb4.0. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthew Wilcox <willy@debian.org>, db4.0@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 169935@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: debian-perl@lists.debian.org
Cc: Drew Scott Daniels <umdanie8@cc.UManitoba.CA>, 169935@bugs.debian.org
Subject: Re: NMU of libdb4.0 for prio:standard
Date: Tue, 15 Apr 2003 02:23:56 +0100
On Mon, Apr 14, 2003 at 01:34:39PM -0500, Drew Scott Daniels wrote:
> Is it time for an NMU on this bug, is
> http://qa.debian.org/debcheck.php?dist=unstable&package=perl wrong, or is
> there a bug with libperl5.8, perl-base, perl-modules, perl-doc, perl-suid,
> libperl-dev, and/or libcgi-fast-perl (all aka src:perl?)?
> 
> I don't mean to imply a false dichotomy, but I think an NMU may be called
> for as this bug is more than four months old and it's an RC bug.

All these priority mismatch bugs are a waste of time, IMHO. The
ftpmasters have to modify the override file anyway in order for anything
to happen, and it's perfectly possible for them to do so in the absence
of any change to the package (so NMUs for such bugs are not only
overkill but useless). Furthermore, in the absence of filed RC bugs
priority mismatches do not affect migration into testing, regardless of
what debcheck.php may say, so the entire premise of the bug was wrong.

In any case, if you look closely, you'll find that libdb4.0 was always
Priority: standard in its debian/control file, so this must have been
due to overrides in the first place, which now say that libdb4.0 is
Priority: standard:

  $ apt-cache show libdb4.0
  Package: libdb4.0
  Priority: standard
  Section: libs
  Installed-Size: 620
  Maintainer: Matthew Wilcox <willy@debian.org>
  Architecture: i386
  Source: db4.0
  Version: 4.0.14-1.2

So this bug should just be closed.

Cheers,

-- 
Colin Watson                                  [cjwatson@flatline.org.uk]



Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Wilcox <willy@debian.org>, db4.0@packages.qa.debian.org:
Bug#169935; Package libdb4.0. Full text and rfc822 format available.

Acknowledgement sent to Drew Scott Daniels <umdanie8@cc.UManitoba.CA>:
Extra info received and forwarded to list. Copy sent to Matthew Wilcox <willy@debian.org>, db4.0@packages.qa.debian.org. Full text and rfc822 format available.

Message #30 received at 169935@bugs.debian.org (full text, mbox):

From: Drew Scott Daniels <umdanie8@cc.UManitoba.CA>
To: Colin Watson <cjwatson@debian.org>
Cc: debian-perl@lists.debian.org, <169935@bugs.debian.org>
Subject: Re: NMU of libdb4.0 for prio:standard
Date: Tue, 15 Apr 2003 14:22:10 -0500 (CDT)
On Tue, 15 Apr 2003, Colin Watson wrote:

> All these priority mismatch bugs are a waste of time, IMHO. The
> ftpmasters have to modify the override file anyway in order for anything
> to happen, and it's perfectly possible for them to do so in the absence
> of any change to the package (so NMUs for such bugs are not only
> overkill but useless). Furthermore, in the absence of filed RC bugs
> priority mismatches do not affect migration into testing, regardless of
> what debcheck.php may say, so the entire premise of the bug was wrong.
>
Are there others? I haven't checked yet. Perhaps at least a comment about
this should be made to any other such bugs. debcheck.php should probably
document that priority mismatches do not affect migration to reduce these
kinds of bugs.

Does debcheck.php incorrectly not check overrides?

> In any case, if you look closely, you'll find that libdb4.0 was always
> Priority: standard in its debian/control file, so this must have been
> due to overrides in the first place, which now say that libdb4.0 is
> Priority: standard:
[...]
>
> So this bug should just be closed.
>
By who and when? Should this bug be downgraded first? I could see this bug
being filed again so perhaps a downgrade and a wontfix tag until an upload
is done fixing the Priority field and debcheck.php doesn't mislead people
about this?

http://ftp.debian.org/debian/pool/main/d/db4.0/db4.0_4.0.14-1.2.diff.gz
says:
[...]
+Package: libdb4.0-dev
+Section: devel
+Priority: extra
+Conflicts: libdb2-dev, libdb1-dev, libdb-dev, libdb3-dev
+Provides: libdb-dev
+Depends: libdb4.0 (= ${Source-Version})
+Suggests: db4.0-doc
+Architecture: any
+Description: Berkeley v4.0 Database Libraries [development]
+ This is the development package which contains headers and static
+ libraries for the Berkeley v4.0 database library.
[...]

     Drew Daniels




Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Wilcox <willy@debian.org>, db4.0@packages.qa.debian.org:
Bug#169935; Package libdb4.0. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthew Wilcox <willy@debian.org>, db4.0@packages.qa.debian.org. Full text and rfc822 format available.

Message #35 received at 169935@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Drew Scott Daniels <umdanie8@cc.UManitoba.CA>
Cc: debian-perl@lists.debian.org, 169935@bugs.debian.org, Christian Hammers <ch@debian.org>
Subject: Re: NMU of libdb4.0 for prio:standard
Date: Wed, 16 Apr 2003 01:09:23 +0100
On Tue, Apr 15, 2003 at 02:22:10PM -0500, Drew Scott Daniels wrote:
> On Tue, 15 Apr 2003, Colin Watson wrote:
> > All these priority mismatch bugs are a waste of time, IMHO. The
> > ftpmasters have to modify the override file anyway in order for anything
> > to happen, and it's perfectly possible for them to do so in the absence
> > of any change to the package (so NMUs for such bugs are not only
> > overkill but useless). Furthermore, in the absence of filed RC bugs
> > priority mismatches do not affect migration into testing, regardless of
> > what debcheck.php may say, so the entire premise of the bug was wrong.
> 
> Are there others? I haven't checked yet. Perhaps at least a comment about
> this should be made to any other such bugs. debcheck.php should probably
> document that priority mismatches do not affect migration to reduce these
> kinds of bugs.

It should also tell people not to report serious bugs based on its
output unless they're sure.

> Does debcheck.php incorrectly not check overrides?

debcheck.php doesn't report these problems any more. Look again ...

> > In any case, if you look closely, you'll find that libdb4.0 was always
> > Priority: standard in its debian/control file, so this must have been
> > due to overrides in the first place, which now say that libdb4.0 is
> > Priority: standard:
> [...]
> >
> > So this bug should just be closed.
> 
> By who and when?

Ideally Matthew Wilcox or the submitter (cc'ed). Ping?

> Should this bug be downgraded first? I could see this bug being filed
> again so perhaps a downgrade and a wontfix tag until an upload is done
> fixing the Priority field and debcheck.php doesn't mislead people
> about this?

The Priority field was never broken in the package itself, and
debcheck.php does not report any problems with libdb4.0. It does report
a problem with libdb4.0-dev on sh, but that's an irrelevant and
completely broken architecture which you should ignore for now.

> http://ftp.debian.org/debian/pool/main/d/db4.0/db4.0_4.0.14-1.2.diff.gz
> says:
> [...]
> +Package: libdb4.0-dev

That's libdb4.0-dev, not libdb4.0.

Cheers,

-- 
Colin Watson                                  [cjwatson@flatline.org.uk]



Reply sent to Christian Hammers <ch@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Christian Hammers <ch@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #40 received at 169935-done@bugs.debian.org (full text, mbox):

From: Christian Hammers <ch@debian.org>
To: Drew Scott Daniels <umdanie8@cc.UManitoba.CA>, debian-perl@lists.debian.org, 169935-done@bugs.debian.org, Matthew Wilcox <willy@debian.org>
Subject: Re: NMU of libdb4.0 for prio:standard
Date: Wed, 16 Apr 2003 08:48:58 +0200
On Wed, Apr 16, 2003 at 01:09:23AM +0100, Colin Watson wrote:
> > > In any case, if you look closely, you'll find that libdb4.0 was always
> > > Priority: standard in its debian/control file, so this must have been
> > > due to overrides in the first place, which now say that libdb4.0 is
> > > Priority: standard:
> > >
> > > So this bug should just be closed.
> > 
> > By who and when?
> 
> Ideally Matthew Wilcox or the submitter (cc'ed). Ping?

Well, I'm the submitter. 
If you think the bug is nonsense, and debcheck fooled me then I close it
now.

bye,

-christian-




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:44:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.